# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::LdapClient Class Reference

This class is internal. More...

`#include <ldapclient.h>`

Inheritance diagram for KABC::LdapClient:

[legend]
Collaboration diagram for KABC::LdapClient:

[legend]
List of all members.

## Public Slots

void | setHost (const QString &host)
QString | host () const
void | setPort (const QString &port)
QString | port () const
void | setBase (const QString &base)
QString | base () const
void | setBindDN (const QString &bindDN)
QString | bindDN () const
void | setPwdBindDN (const QString &pwdBindDN)
QString | pwdBindDN () const
void | setAttrs (const QStringList &attrs)
QStringList | attrs () const
void | setScope (const QString scope)
void | startQuery (const QString &filter)
void | cancelQuery ()

## Signals

void | done ()
void | error (const QString &)
void | result (const KABC::LdapObject &)

## Public Member Functions

| LdapClient (QObject *parent=0, const char *name=0)
bool | isActive () const

## Protected Slots

void | slotData (KIO::Job *, const QByteArray &data)
void | slotInfoMessage (KIO::Job *, const QString &info)
void | slotDone ()

## Protected Member Functions

void | startParseLDIF ()
void | parseLDIF (const QByteArray &data)
void | endParseLDIF ()

## Protected Attributes

QString | mHost
QString | mPort
QString | mBase
QString | mScope
QStringList | mAttrs
QGuardedPtr< KIO::SimpleJob > | mJob
bool | mActive
LdapObject | mCurrentObject
QCString | mBuf
QCString | mLastAttrName
QCString | mLastAttrValue
bool | mIsBase64

## Detailed Description

This class is internal.

Binary compatibiliy might be broken any time without notification. Do not use it.

We mean it!

Definition at line 85 of file ldapclient.h.

## Member Function Documentation

bool KABC::LdapClient::isActive | ( |  | ) | const`[inline]`

| returns true if there is a query running Definition at line 94 of file ldapclient.h.

void KABC::LdapClient::done | ( |  | ) | `[signal]`

| Emitted when the query is done

void KABC::LdapClient::error | ( | const QString & |  | ) | `[signal]`

| Emitted in case of error

void KABC::LdapClient::result | ( | const KABC::LdapObject & |  | ) | `[signal]`

| Emitted once for each object returned from the query

void KABC::LdapClient::setHost | ( | const QString & | host | ) | `[slot]`

| Set the name or IP of the LDAP server

void KABC::LdapClient::setPort | ( | const QString & | port | ) | `[slot]`

| Set the port of the LDAP server if using a nonstandard port

void KABC::LdapClient::setBase | ( | const QString & | base | ) | `[slot]`

| Set the base DN

void KABC::LdapClient::setBindDN | ( | const QString & | bindDN | ) | `[slot]`

| Set the bind DN

void KABC::LdapClient::setPwdBindDN | ( | const QString & | pwdBindDN | ) | `[slot]`

| Set the bind password DN

void KABC::LdapClient::setAttrs | ( | const QStringList & | attrs | ) | `[slot]`

| Set the attributes that should be returned, or an empty list if all attributes are wanted

void KABC::LdapClient::startQuery | ( | const QString & | filter | ) | `[slot]`

| Start the query with filter filter

void KABC::LdapClient::cancelQuery | ( |  | ) | `[slot]`

| Abort a running query

The documentation for this class was generated from the following file:

- ldapclient.h

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:48 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003